Package com.usatiuk.dhfs.peersync.api

# Class PeerSyncApiClientDynamic

java.lang.Object
com.usatiuk.dhfs.peersync.api.PeerSyncApiClientDynamic

@ApplicationScoped public class PeerSyncApiClientDynamic extends Object

## Constructor Summary

Constructors
Constructor
Description
`PeerSyncApiClientDynamic()`

## Method Summary

Modifier and Type
Method
Description
`ApiPeerInfo`
`getSelfInfo(PeerAddress addr)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PeerSyncApiClientDynamic

public PeerSyncApiClientDynamic()

## Method Details

### getSelfInfo

public ApiPeerInfo getSelfInfo(PeerAddress addr)